import React from 'react'

const HocFactory = (WrappedComponent) => {
	return class Hoc extends React.Component {
		constructor(props) {
			super(props);
		}

		render() {
			let config = {
				width: 600,
				height: 132,
			}

			return <WrappedComponent ecId={`${this && this.props && this.props.ecId || ''}_WrappedComponent@8shs2x`} {...this.props} {...config}/>
		}
	}
}

export {
	HocFactory
}